PrefabFiles = {
	"cinnamon",
	"cinnamon_none",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/cinnamon.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/cinnamon.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/cinnamon.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/cinnamon.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/cinnamon_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/cinnamon_silho.xml" ),

    Asset( "IMAGE", "bigportraits/cinnamon.tex" ),
    Asset( "ATLAS", "bigportraits/cinnamon.xml" ),
	
	Asset( "IMAGE", "images/map_icons/cinnamon.tex" ),
	Asset( "ATLAS", "images/map_icons/cinnamon.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_cinnamon.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_cinnamon.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_cinnamon.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_cinnamon.xml" ),
	
	Asset( "IMAGE", "images/avatars/self_inspect_cinnamon.tex" ),
    Asset( "ATLAS", "images/avatars/self_inspect_cinnamon.xml" ),
	
	Asset( "IMAGE", "images/names_cinnamon.tex" ),
    Asset( "ATLAS", "images/names_cinnamon.xml" ),
	
    Asset( "IMAGE", "bigportraits/cinnamon_none.tex" ),
    Asset( "ATLAS", "bigportraits/cinnamon_none.xml" ),

}

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

-- The character select screen lines
STRINGS.CHARACTER_TITLES.cinnamon = "The perverted Catgirl maid"
STRINGS.CHARACTER_NAMES.cinnamon = "Cinnamon"
STRINGS.CHARACTER_DESCRIPTIONS.cinnamon = "*Masochist\n*Sadist\n*Well fed"
STRINGS.CHARACTER_QUOTES.cinnamon = "\"Cinnamon's gonna droool~~\""

-- Custom speech strings
STRINGS.CHARACTERS.CINNAMON = require "speech_cinnamon"

-- The character's name as appears in-game 
STRINGS.NAMES.CINNAMON = "Cinnamon"

AddMinimapAtlas("images/map_icons/cinnamon.xml")

-- Add mod character to mod character list. Also specify a gender. Possible genders are MALE, FEMALE, ROBOT, NEUTRAL, and PLURAL.
AddModCharacter("cinnamon", "FEMALE")

